# Run tests in check section
%bcond_without check

%global goipath         github.com/sourcegraph/annotate
%global commit          f4cad6c6324d3f584e1743d8b3e0e017a5f3a636

%global common_description %{expand:
Apply multiple sets of annotations to a region of text.}

%global golicenses      LICENSE
%global godocs          README.md
%gometa

Name:           %{goname}
Version:        0
Release:        %mkrel 3
Summary:        Apply multiple sets of annotations to a region of text
Group:          Development/Golang
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

%description
%{common_description}

%gopkg
%prep
%goprep


%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles



%changelog
* Mon Jul 07 2025 umeabot <umeabot> 0-3.mga10
+ Revision: 2249161
- Mageia 10 Mass Rebuild

* Sat Mar 22 2025 pterjan <pterjan> 0-2.mga10
+ Revision: 2168659
- Mark the package as noarch
+ wally <wally>
- update RPM group to Development/Golang

* Thu Aug 25 2022 guillomovitch <guillomovitch> 0-1.mga9
+ Revision: 1880389
- spec file cleanup

* Thu Oct 29 2020 joequant <joequant> 0-0.3.mga8
+ Revision: 1640411
- fix build

* Sun Nov 25 2018 pterjan <pterjan> 0-0.2.mga7
+ Revision: 1334438
- imported package golang-github-sourcegraph-annotate


* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2.gitf4cad6c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Mar 24 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20180418gitf4cad6c
- First package for Fedora

